<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>FTP Client: src/pom/constants.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">FTP Client
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_0c7a412dd4e82345500f1b16442a8b39.html">pom</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">constants.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="constants_8h__dep__incl.png" border="0" usemap="#src_2pom_2constants_8hdep" alt=""/></div>
<map name="src_2pom_2constants_8hdep" id="src_2pom_2constants_8hdep">
<area shape="rect" id="node2" href="client_8h.html" title="src/imp/client.h" alt="" coords="95,80,205,107"/><area shape="rect" id="node3" href="client_8cpp.html" title="src/imp/client.cpp" alt="" coords="13,155,139,181"/><area shape="rect" id="node4" href="factory_8h.html" title="src/pom/factory.h" alt="" coords="163,155,287,181"/><area shape="rect" id="node5" href="program_8h.html" title="src/imp/program.h" alt="" coords="83,229,209,256"/><area shape="rect" id="node8" href="factory_8cpp.html" title="src/pom/factory.cpp" alt="" coords="235,229,373,256"/><area shape="rect" id="node6" href="program_8cpp.html" title="src/imp/program.cpp" alt="" coords="4,304,144,331"/><area shape="rect" id="node7" href="main_8cpp.html" title="src/main.cpp" alt="" coords="170,304,267,331"/></map>
</div>
</div>
<p><a href="constants_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a274866add80198b760c603e55d1c6266"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a274866add80198b760c603e55d1c6266">PARAMETER_PROG</a> = 0</td></tr>
<tr class="memdesc:a274866add80198b760c603e55d1c6266"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the program in parameters.  <a href="#a274866add80198b760c603e55d1c6266">More...</a><br/></td></tr>
<tr class="separator:a274866add80198b760c603e55d1c6266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a693e9e365257ad0c2b4a978b803b55b2"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a693e9e365257ad0c2b4a978b803b55b2">PARAMETER_SERVER</a> = 1</td></tr>
<tr class="memdesc:a693e9e365257ad0c2b4a978b803b55b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the server in parameters.  <a href="#a693e9e365257ad0c2b4a978b803b55b2">More...</a><br/></td></tr>
<tr class="separator:a693e9e365257ad0c2b4a978b803b55b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e2ecf6befba53f5d438e60c520a8c2"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#ad3e2ecf6befba53f5d438e60c520a8c2">RETURN_OK</a> = 0</td></tr>
<tr class="memdesc:ad3e2ecf6befba53f5d438e60c520a8c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return value when application ended successfully.  <a href="#ad3e2ecf6befba53f5d438e60c520a8c2">More...</a><br/></td></tr>
<tr class="separator:ad3e2ecf6befba53f5d438e60c520a8c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64aa2dc5cc1ecba6ecd24dd37ef2d2c2"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a64aa2dc5cc1ecba6ecd24dd37ef2d2c2">RETURN_ERROR_ARGUMENTS</a> = 1</td></tr>
<tr class="memdesc:a64aa2dc5cc1ecba6ecd24dd37ef2d2c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return value when application have too many arguments.  <a href="#a64aa2dc5cc1ecba6ecd24dd37ef2d2c2">More...</a><br/></td></tr>
<tr class="separator:a64aa2dc5cc1ecba6ecd24dd37ef2d2c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a1489c0d1508408de136dad5337562d"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a2a1489c0d1508408de136dad5337562d">RETURN_ERROR_CREATE</a> = 2</td></tr>
<tr class="memdesc:a2a1489c0d1508408de136dad5337562d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return value when connecting to FTP server failed.  <a href="#a2a1489c0d1508408de136dad5337562d">More...</a><br/></td></tr>
<tr class="separator:a2a1489c0d1508408de136dad5337562d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c7787a1343ec662596fb7084814bb9"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#ac2c7787a1343ec662596fb7084814bb9">COMMAND_END</a> = &quot;exit&quot;</td></tr>
<tr class="memdesc:ac2c7787a1343ec662596fb7084814bb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for exit application.  <a href="#ac2c7787a1343ec662596fb7084814bb9">More...</a><br/></td></tr>
<tr class="separator:ac2c7787a1343ec662596fb7084814bb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c52938a5cafcbf6b896e79bfdef7659"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a1c52938a5cafcbf6b896e79bfdef7659">COMMAND_HELP</a> = &quot;help&quot;</td></tr>
<tr class="memdesc:a1c52938a5cafcbf6b896e79bfdef7659"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for display all commands.  <a href="#a1c52938a5cafcbf6b896e79bfdef7659">More...</a><br/></td></tr>
<tr class="separator:a1c52938a5cafcbf6b896e79bfdef7659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95f50b992fd9e567b8440d6e77fe7efc"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a95f50b992fd9e567b8440d6e77fe7efc">COMMAND_CONNECT</a> = &quot;open&quot;</td></tr>
<tr class="memdesc:a95f50b992fd9e567b8440d6e77fe7efc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for connect to server.  <a href="#a95f50b992fd9e567b8440d6e77fe7efc">More...</a><br/></td></tr>
<tr class="separator:a95f50b992fd9e567b8440d6e77fe7efc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9927c861c4242ab3c5d006e765d5abb0"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a9927c861c4242ab3c5d006e765d5abb0">COMMAND_CLOSE</a> = &quot;close&quot;</td></tr>
<tr class="memdesc:a9927c861c4242ab3c5d006e765d5abb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for quit the FTP server.  <a href="#a9927c861c4242ab3c5d006e765d5abb0">More...</a><br/></td></tr>
<tr class="separator:a9927c861c4242ab3c5d006e765d5abb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabe4be5b39a46e7879c31924e1fc467d"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#aabe4be5b39a46e7879c31924e1fc467d">COMMAND_MKDIR</a> = &quot;mkdir&quot;</td></tr>
<tr class="memdesc:aabe4be5b39a46e7879c31924e1fc467d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for make a directory.  <a href="#aabe4be5b39a46e7879c31924e1fc467d">More...</a><br/></td></tr>
<tr class="separator:aabe4be5b39a46e7879c31924e1fc467d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98739d728272c097a1a8de45af1ef7b0"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a98739d728272c097a1a8de45af1ef7b0">COMMAND_CD</a> = &quot;cd&quot;</td></tr>
<tr class="memdesc:a98739d728272c097a1a8de45af1ef7b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for browsing on the server.  <a href="#a98739d728272c097a1a8de45af1ef7b0">More...</a><br/></td></tr>
<tr class="separator:a98739d728272c097a1a8de45af1ef7b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a205dcc15a0d257dccd603613b3f64cb6"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a205dcc15a0d257dccd603613b3f64cb6">COMMAND_LS</a> = &quot;ls&quot;</td></tr>
<tr class="memdesc:a205dcc15a0d257dccd603613b3f64cb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for list of files in directory.  <a href="#a205dcc15a0d257dccd603613b3f64cb6">More...</a><br/></td></tr>
<tr class="separator:a205dcc15a0d257dccd603613b3f64cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92c3d38faf6fc1648a632db77d1d3812"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a92c3d38faf6fc1648a632db77d1d3812">SRV_USER</a> = &quot;USER &quot;</td></tr>
<tr class="memdesc:a92c3d38faf6fc1648a632db77d1d3812"><td class="mdescLeft">&#160;</td><td class="mdescRight">Server - Authentication command USER.  <a href="#a92c3d38faf6fc1648a632db77d1d3812">More...</a><br/></td></tr>
<tr class="separator:a92c3d38faf6fc1648a632db77d1d3812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9738df05b2fa60484caf139f46a9dc8"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#ac9738df05b2fa60484caf139f46a9dc8">SRV_PASS</a> = &quot;PASS &quot;</td></tr>
<tr class="memdesc:ac9738df05b2fa60484caf139f46a9dc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Server - Authentication command PASS.  <a href="#ac9738df05b2fa60484caf139f46a9dc8">More...</a><br/></td></tr>
<tr class="separator:ac9738df05b2fa60484caf139f46a9dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe854994102d060b797721c12301f584"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#afe854994102d060b797721c12301f584">SRV_QUIT</a> = &quot;QUIT\r\n&quot;</td></tr>
<tr class="memdesc:afe854994102d060b797721c12301f584"><td class="mdescLeft">&#160;</td><td class="mdescRight">Server - command for quit.  <a href="#afe854994102d060b797721c12301f584">More...</a><br/></td></tr>
<tr class="separator:afe854994102d060b797721c12301f584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1e7ea7a4418a191912ecfd1cb971db5"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#af1e7ea7a4418a191912ecfd1cb971db5">LOGIN_FAILED</a> = &quot;530 Login incorrect.\r&quot;</td></tr>
<tr class="memdesc:af1e7ea7a4418a191912ecfd1cb971db5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Response from server - login failed.  <a href="#af1e7ea7a4418a191912ecfd1cb971db5">More...</a><br/></td></tr>
<tr class="separator:af1e7ea7a4418a191912ecfd1cb971db5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a072cb7a0e169cbbd172678dad3250afa"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#a072cb7a0e169cbbd172678dad3250afa">HELP</a></td></tr>
<tr class="memdesc:a072cb7a0e169cbbd172678dad3250afa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command HELP which display all available commands.  <a href="#a072cb7a0e169cbbd172678dad3250afa">More...</a><br/></td></tr>
<tr class="separator:a072cb7a0e169cbbd172678dad3250afa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3f098b0c28052a2a905895fc8537687"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#ad3f098b0c28052a2a905895fc8537687">MAX_BUFFER_LENGTH</a> = 256</td></tr>
<tr class="memdesc:ad3f098b0c28052a2a905895fc8537687"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the buffer.  <a href="#ad3f098b0c28052a2a905895fc8537687">More...</a><br/></td></tr>
<tr class="separator:ad3f098b0c28052a2a905895fc8537687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad577ccf6f1fd22310483c09d08cf3398"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#ad577ccf6f1fd22310483c09d08cf3398">MAX_COMMAND_LNT</a> = 50</td></tr>
<tr class="memdesc:ad577ccf6f1fd22310483c09d08cf3398"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of command length.  <a href="#ad577ccf6f1fd22310483c09d08cf3398">More...</a><br/></td></tr>
<tr class="separator:ad577ccf6f1fd22310483c09d08cf3398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af76f5feae16ac9db1dfd579b8797376c"><td class="memItemLeft" align="right" valign="top">const char *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="constants_8h.html#af76f5feae16ac9db1dfd579b8797376c">PORT</a> = &quot;21&quot;</td></tr>
<tr class="memdesc:af76f5feae16ac9db1dfd579b8797376c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port number.  <a href="#af76f5feae16ac9db1dfd579b8797376c">More...</a><br/></td></tr>
<tr class="separator:af76f5feae16ac9db1dfd579b8797376c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a98739d728272c097a1a8de45af1ef7b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const COMMAND_CD = &quot;cd&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command for browsing on the server. </p>

</div>
</div>
<a class="anchor" id="a9927c861c4242ab3c5d006e765d5abb0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const COMMAND_CLOSE = &quot;close&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command for quit the FTP server. </p>

</div>
</div>
<a class="anchor" id="a95f50b992fd9e567b8440d6e77fe7efc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const COMMAND_CONNECT = &quot;open&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command for connect to server. </p>

</div>
</div>
<a class="anchor" id="ac2c7787a1343ec662596fb7084814bb9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const COMMAND_END = &quot;exit&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command for exit application. </p>

</div>
</div>
<a class="anchor" id="a1c52938a5cafcbf6b896e79bfdef7659"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const COMMAND_HELP = &quot;help&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command for display all commands. </p>

</div>
</div>
<a class="anchor" id="a205dcc15a0d257dccd603613b3f64cb6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const COMMAND_LS = &quot;ls&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command for list of files in directory. </p>

</div>
</div>
<a class="anchor" id="aabe4be5b39a46e7879c31924e1fc467d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const COMMAND_MKDIR = &quot;mkdir&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command for make a directory. </p>

</div>
</div>
<a class="anchor" id="a072cb7a0e169cbbd172678dad3250afa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const HELP</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="stringliteral">&quot;MODE \&quot;ftp&gt;\&quot; - program is waiting for connection\n&quot;</span></div>
<div class="line">                          <span class="stringliteral">&quot;open &lt;server_address&gt; - Open connection to FTP server.\n&quot;</span></div>
<div class="line">                          <span class="stringliteral">&quot;exit - Exit FTP client.\n&quot;</span></div>
<div class="line">                          <span class="stringliteral">&quot;help - Display all available commands.\n&quot;</span></div>
<div class="line">                          <span class="stringliteral">&quot;MODE \&quot;ftp-&gt;\&quot; - program is connected to the FTP server\n&quot;</span></div>
<div class="line">                          <span class="stringliteral">&quot;close - Close connection to FTP server\n&quot;</span></div>
</div><!-- fragment -->
<p>Command HELP which display all available commands. </p>

</div>
</div>
<a class="anchor" id="af1e7ea7a4418a191912ecfd1cb971db5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const LOGIN_FAILED = &quot;530 Login incorrect.\r&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Response from server - login failed. </p>

</div>
</div>
<a class="anchor" id="ad3f098b0c28052a2a905895fc8537687"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MAX_BUFFER_LENGTH = 256</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Size of the buffer. </p>

</div>
</div>
<a class="anchor" id="ad577ccf6f1fd22310483c09d08cf3398"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MAX_COMMAND_LNT = 50</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Size of command length. </p>

</div>
</div>
<a class="anchor" id="a274866add80198b760c603e55d1c6266"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PARAMETER_PROG = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of the program in parameters. </p>

</div>
</div>
<a class="anchor" id="a693e9e365257ad0c2b4a978b803b55b2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PARAMETER_SERVER = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of the server in parameters. </p>

</div>
</div>
<a class="anchor" id="af76f5feae16ac9db1dfd579b8797376c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const PORT = &quot;21&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Port number. </p>

</div>
</div>
<a class="anchor" id="a64aa2dc5cc1ecba6ecd24dd37ef2d2c2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int RETURN_ERROR_ARGUMENTS = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return value when application have too many arguments. </p>

</div>
</div>
<a class="anchor" id="a2a1489c0d1508408de136dad5337562d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int RETURN_ERROR_CREATE = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return value when connecting to FTP server failed. </p>

</div>
</div>
<a class="anchor" id="ad3e2ecf6befba53f5d438e60c520a8c2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int RETURN_OK = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return value when application ended successfully. </p>

</div>
</div>
<a class="anchor" id="ac9738df05b2fa60484caf139f46a9dc8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const SRV_PASS = &quot;PASS &quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Server - Authentication command PASS. </p>

</div>
</div>
<a class="anchor" id="afe854994102d060b797721c12301f584"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const SRV_QUIT = &quot;QUIT\r\n&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Server - command for quit. </p>

</div>
</div>
<a class="anchor" id="a92c3d38faf6fc1648a632db77d1d3812"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const SRV_USER = &quot;USER &quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Server - Authentication command USER. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 3 2016 12:40:01 for FTP Client by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
